<header class="main-header-top hidden-print">
  <% home_page = current_staff.present? ? staff_dashboard_path : ((current_user.present? and current_user.is_manager?)  ? manager_dashboard_path : root_path) %>
  <%= link_to home_page, class: 'logo' do %>
    <%= image_tag "logo.png", style: "max-height: 48px;max-width: 200px;" %>
  <% end %>
  <nav class="navbar navbar-static-top">
    <a href="#!" data-toggle="offcanvas" class="sidebar-toggle"></a>
    <ul class="top-nav">
      <li class="dropdown notification-menu">
        <a href="#!" data-toggle="dropdown" aria-expanded="false" class="dropdown-toggle" id= "view-notifications">
          <i class="icon-bell"></i>
          <% if @notifications.where(is_read: false).present? %>
          <span class="badge badge-danger header-badge"><%= @notifications.where(is_read: false).count %></span>
          <% end %>
        </a>
        <ul class="dropdown-menu" style="max-height: 300px; overflow: auto;">
          </li>
          <% @notifications.each do |n| %>
            <li class="bell-notification">
              <%= link_to notification_path(n), class: 'media' do %>
                <%= render "notifications/#{n.notification_type}", n: n %>
              <% end %>
            </li>
          <% end %>
        </ul>
      </li>

      <li class="pc-rheader-submenu">
        <a href="#!" class="drop icon-circle" onclick="javascript:toggleFullScreen()">
            <i class="icon-size-fullscreen"></i>
        </a>
      </li>

      <% if current_staff.present? %>
        <li class="dropdown">
          <%= link_to '#', class: 'dropdown-toggle drop icon-circle drop-image', 'data-toggle': 'dropdown' do %>
          <span>
            <%= image_tag current_staff.photo.url, class: "img-circle", style: "width: 40px;" %>
          </span>
          <span><%= current_staff.name %>
            <i class=" icofont icofont-simple-down"></i>
          </span>
          <% end %>
          <ul class="dropdown-menu settings-menu">
            <li><%= link_to staff_account_path do %>
              <i class="icon-settings"></i> Settings
              <% end %>
            </li>
            <li><%= link_to staff_account_path do %>
              <i class="icon-user"></i> Profile
              <% end %>
            </li>
            <li><%= link_to  account_path  do %>
              <i class="icon-lock"></i> Lock Screen
              <% end %>
            </li>
            <li><%= link_to destroy_staff_session_path, method: :delete do %>
              <i class="icon-logout"></i>Logout
            </li>
            <% end %>
          </ul>
        </li>
      <% else %>
        <li class="dropdown">
          <%= link_to '#', class: 'dropdown-toggle drop icon-circle drop-image', 'data-toggle': 'dropdown' do %>
            <span> <%= image_tag current_user.photo.url, class: "img-circle", style: "width: 40px;" %>
            </span>
            <span><%= current_user.name %>
              <i class=" icofont icofont-simple-down"></i>
            </span>
          <% end %>
          <ul class="dropdown-menu settings-menu">
            <li><%= link_to account_path do %>
              <i class="icon-settings"></i> Settings
              <% end %>
            </li>
            <li><%= link_to account_path do %>
              <i class="icon-user"></i> Profile
              <% end %>
            </li>
            <li><%= link_to destroy_user_session_path(lock: true, id: current_user.id), method: :delete do %>
              <i class="icon-lock"></i> Lock Screen
              <% end %>
            </li>
            <li><%= link_to destroy_user_session_path, method: :delete do %>
              <i class="icon-logout"></i>Logout
              <% end %>
            </li>
          </ul>
        </li>
      <% end %>
    </ul>
  </nav>
</header>
